Bug 237946 - avahi-qt3.pc depends on qt-mt.pc but the rpm does not
avahi-qt3.pc depends on qt-mt.pc but the rpm does not
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On: 220267
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 06:00 EDT by Martin Bacovsky
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 08:19:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Bacovsky 2007-04-26 06:00:51 EDT
+++ This bug was initially created as a clone of Bug #220267 +++

Description of problem:
The /usr/lib{,64}/pkgconfig/avahi-qt3.pc file in avahi-qt3 contains this line:
Requires.private: qt-mt >= 3.0.0
qt-mt.pc is provided by the qt-devel package but avahi-qt3 does not depend on it.

Version-Release number of selected component (if applicable):
avahi-qt3-0.6.15-1.fc6

How reproducible:
always

Steps to Reproduce:
1. yum -y remove qt-devel avahi-qt3-devel
2. yum -y install avahi-qt3
3. pkg-config --cflags avahi-qt3
  
Actual results:
Package qt-mt was not found in the pkg-config search path.
Perhaps you should add the directory containing `qt-mt.pc'
to the PKG_CONFIG_PATH environment variable
Package 'qt-mt', required by 'avahi-qt3', not found


Expected results:
Assuming you agree to move avahi-qt3.pc into the avahi-qt3-devel package:

Package avahi-qt3 was not found in the pkg-config search path.
Perhaps you should add the directory containing `avahi-qt3.pc'
to the PKG_CONFIG_PATH environment variable
No package 'avahi-qt3' found

Additional info:
I thought that in general .pc files should be in -devel packages?
May be worth automating this check in rpmlint.
Comment 1 Martin Bacovsky 2007-08-07 08:19:51 EDT
This issue should be fixed in RAWHIDE (avahi-0.6.20-5.fc8)

Note You need to log in before you can comment on or make changes to this bug.